package com.zjrs.zwnw.dbgl.schedule;

import com.zjrs.zwnw.dbgl.bpo.DbrwjzcxBPO;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;

/**
 * @author dagou
 * @date 2022/11/27 18:28
 **/

@Service
public class SendSmsSchedule {
    private static final Logger LOG = LoggerFactory.getLogger(SendSmsSchedule.class);

    @Resource
    private DbrwjzcxBPO dbrwjzcxBPO;

    @Scheduled(cron = "0 20 08 * * ?")
    public void SendSms() {
            LOG.info("督办红灯预警短信提醒开始");
            dbrwjzcxBPO.insertSMS();
            LOG.info("督办红灯预警短信提醒结束");
        }
}
